%define         betarel        beta15

Summary:        Hard Drive Temperature Monitoring
Name:           hddtemp
Version:        0.3 
Release:        %mkrel 0.%{betarel}.21
License:        GPLv2
Group:          Monitoring        
URL:            http://www.guzu.net/linux/hddtemp.php
Source0:        http://download.savannah.nongnu.org/releases/hddtemp/hddtemp-%{version}-%{betarel}.tar.bz2
Source1:        http://download.savannah.nongnu.org/releases/hddtemp/hddtemp-%{version}-%{betarel}.tar.bz2.sig
Source2:        http://download.savannah.nongnu.org/releases/hddtemp/hddtemp.db
Source3:        hddtemp.service
Source4:        hddtemp.sysconfig
Source5:        net.guzu.hddtemp.policy
Patch0:		hddtemp_0.3-beta15-52.diff
Patch1:		hddtemp-0.3-beta15-autodetect-717479.patch
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:       polkit
BuildRequires:  gettext
BuildRequires:  perl

%description
hddtemp is a tool that gives you the temperature of your IDE or SCSI hard drive
(that support this feature) by reading S.M.A.R.T. information. Only modern hard
drives have a temperature sensor.

%prep
%setup -q -n hddtemp-%{version}-%{betarel}
%autopatch -p1

%build
%configure2_5x \
    --with-db-path=%{_sysconfdir}/hddtemp.db

%make

%install
%makeinstall_std

%__install -m 0644 %{SOURCE2} -D %{buildroot}%{_sysconfdir}/%{name}.db
%__install -m 0644 %{SOURCE3} -D %{buildroot}%{_unitdir}/%{name}.service
%__install -m 0644 %{SOURCE4} -D %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%__mkdir_p %{buildroot}%{_bindir} %{buildroot}%{_libexecdir}
%__mv %{buildroot}%{_sbindir}/%{name} %{buildroot}%{_libexecdir}
rmdir %{buildroot}%{_sbindir}
cat >%{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
exec %{_bindir}/pkexec %{_libexecdir}/%{name} \$*
EOF
%__install -m 0644 %{SOURCE5} -D %{buildroot}%{_datadir}/polkit-1/actions/net.guzu.%{name}.policy

%find_lang %{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files -f %{name}.lang
%defattr(0644,root,root,0755)
%doc ChangeLog README TODO contribs debian/changelog
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0755,root,root) %{_libexecdir}/%{name}
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/%{name}.db
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_datadir}/polkit-1/actions/net.guzu.%{name}.policy
%{_mandir}/man8/%{name}.8*




%changelog
* Sat Feb 06 2016 umeabot <umeabot> 0.3-0.beta15.21.mga6
+ Revision: 940202
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3-0.beta15.20.mga5
+ Revision: 750137
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-0.beta15.19.mga5
+ Revision: 680096
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.3-0.beta15.18.mga4
+ Revision: 541444
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 colin <colin> 0.3-0.beta15.17.mga4
+ Revision: 495920
- Fix wrapper script to use exec

* Sat Oct 12 2013 colin <colin> 0.3-0.beta15.16.mga4
+ Revision: 495854
- Allow remote users to perform queries (same as before with consolehelper)
- Switch to polkit for authorisation (everyone is allowed)
- Add autodetection patch from Fedora (needed for new sysconfig file)
- Update to patch level 52 (and drop local patch)
- Convert to systemd service
- Keep the hddtemp.db in regular SVN rather than binrepo

* Sat Jan 12 2013 umeabot <umeabot> 0.3-0.beta15.15.mga3
+ Revision: 353140
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 zezinho <zezinho> 0.3-0.beta15.14.mga2
+ Revision: 204997
- rebuild for MGA2

* Thu Jan 20 2011 pterjan <pterjan> 0.3-0.beta15.13.mga1
+ Revision: 25819
- Add patch from bugtracker to fix build
- imported package hddtemp


* Thu Aug 19 2010 Stéphane Téletchéa <steletch@mandriva.org> 0.3-0.beta15.13mdv2011.0
+ Revision: 571333
- Update drive search so newer nomenclature aka sda instead of hda is also searched
- Add a wildcard for searching all drives, a better heuristics detection would be better, but enough for now

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3-0.beta15.12mdv2010.1
+ Revision: 519823
- rebuild
- small fix
- added 2 models

* Sun Oct 04 2009 Oden Eriksson <oeriksson@mandriva.com> 0.3-0.beta15.11mdv2010.0
+ Revision: 453469
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Nov 30 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3-0.beta15.9mdv2009.1
+ Revision: 308452
- sync with debian (since the debian maintainer=upstream developer)

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.3-0.beta15.8mdv2009.0
+ Revision: 140746
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 18 2007 David Walluck <walluck@mandriva.org> 0.3-0.beta15.8mdv2008.1
+ Revision: 109790
- fix bug #28793

* Mon Oct 22 2007 David Walluck <walluck@mandriva.org> 0.3-0.beta15.7mdv2008.1
+ Revision: 101082
- install hddtemp.db directly
- use %%{makeinstall_std}
- remove hddtemp-hddtemp-db-hdt-t7k250-250-wdc-re-160.patch (include directly into hddtemp.db)
- update to latest hddtemp.db (14-Sep-2007)
- add support for WDC WD1600YS-01S(|H0)

* Fri Jul 27 2007 David Walluck <walluck@mandriva.org> 0.3-0.beta15.7mdv2008.0
+ Revision: 56257
- add patch for Hitachi T7K250 250GB SATA

* Thu Jun 28 2007 David Walluck <walluck@mandriva.org> 0.3-0.beta15.6mdv2008.0
+ Revision: 45405
- update hddtemp-db-wd-re-160 patch for newer firmware


* Mon Feb 05 2007 David Walluck <walluck@mandriva.org> 0.3-0.beta15.5mdv2007.0
+ Revision: 116179
- add sources
- add patch for SATA under newer kernels
  add patch for WD Caviar RE 160 GB in hddtemp.db
  update source URL
  add tarball signature
  more consistent file list
  macros
- Import hddtemp

* Fri Sep 15 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3-0.beta15.4mdv2007.0
- clean initscript (should fix #25694)

* Tue Aug 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3-0.beta15.3mdv2007.0
- add /dev/hda to sysconfig file (modifies S3, fixes #18421)
- cosmetics

* Mon Jul 31 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3-0.beta15.2mdv2007.0
- add two new disks (updated S1, from Pierre Jarillon)

* Mon May 29 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3-0.beta15.1mdv2007.0
- 0.3-0beta15
- new S1

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 0.3-0.beta14.5mdk
- split Requires(X,Y)
- fix typo in initscript

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 0.3-0.beta14.4mdk
- fix copy/paste suckiness in initscript

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 0.3-0.beta14.3mdk
- convert parallel init to LSB
- fix requires(post,preun)

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 0.3-0.beta14.2mdk
- Add parallel init stuff

* Tue Oct 04 2005 Lenny Cartier <lenny@mandriva.com> 0.3-0.beta14.1mdk
- beta14

* Tue Mar 15 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.3-0.beta12.2mdk
- update hddtemp.db
- remove suid bit
- add init script, config file and pam/consolehelper from fedora
- add gettext into buildrequires

* Thu Feb 17 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3-0.beta12.1mdk
- 0.3-beta12
- update url
- update hddtemp.db
- don't ship license file as it's GPL

* Thu Mar 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3-0.beta11.1mdk
- 0.3-beta11

